
Redmine - Defect #8077

Attachments directory writable / Plugin assets directory writable errors

2011-04-05 19:11 - mathew murphy

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

/admin/info gives me the errors "Attachments directory writable" and "Plugin assets directory writable".

1. ls la public/plugin_assets/

total 12

drwxr-xr-x 2 redmine redmine 4096 2010-07-27 10:39 .

drwxr-xr-x 9 redmine root    4096 2011-04-04 10:12 ..

-rw-r--r- 1 redmine redmine  374 2010-07-27 10:39 README

1. ls -la files

total 140

drwxr-xr-x  3 redmine redmine  4096 2011-03-23 14:20 .

drwxr-xr-x 17 redmine root     4096 2011-04-04 10:12 ..

So they are writeable, as far as I can tell.

This problem appeared on upgrading from 1.1.0 to 1.1.2

Running Redmine 1.1.2.stable.5317 (PostgreSQL) on Ubuntu.

History

#1 - 2011-04-05 19:18 - mathew murphy

- Status changed from New to Resolved

Never mind. Turned out SVN changed the ownership of my environment.rb, so Passenger was running Redmine as the wrong userid.

#2 - 2011-04-05 19:27 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
